@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:wght@100;200;300;400;500;600;700;800;900&display=swap');

body {
  font-family: 'Titillium Web', sans-serif;
  font-style: normal;
  font-weight: normal;
}
h1, h2 {
  color: black;
  font-family: 'Titillium Web', sans-serif;
  font-style: normal;
  font-weight: 700;
}
h3, h4, h5, h6 {
  color: black;
  font-family: 'Titillium Web', sans-serif;
  font-style: normal;
  font-weight: 500;
}

:root {
    --sidebar-w: 5rem;
}

/* This creates a skinny side bar fixed to the left of the page */
.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: var(--sidebar-w);
  padding: 2rem 1rem;
  background-color: #e1e1e1;
  z-index: 1050;
  transition: width 0.3s ease-in-out;
}


/* when the user hovers on the sidebar, expand it */
.sidebar:hover {
  width: var(--sidebar-w);

}

.main-page-container{
    width: calc(96% - var(--sidebar-w));
    margin-top: 2rem;
    transition: width 0.3s ease-in-out;
    float: right;
    margin-left: 2%;
    margin-right: 2%;
}

.rounded-red-box {
  border-radius: 10px; /* Adjust the value to change the roundness of corners */
  background-color: rgba(255, 0, 0, 0.1); /* Opaque red background */
  color: #ff0000; /* Red text color */
  padding: 10px; /* Adjust the padding as needed */
}

.modal-input:disabled {
  background-color: #f2f5f7;
}


.modal-input:enabled {
  background-color: white !important;
}

/* changes the text color of input box */
.modal-select{
    color: #2e2e2e !important;
}
.modal-content{
    -webkit-border-radius: 30px !important;
    -moz-border-radius: 30px !important;
    border-radius: 30px !important;
}

.modal-title-row{
    margin-bottom: 1em;
}

.modal-subtitle-row{
    margin-bottom: 0.25em;
}

.modal-fields-row{
    margin-bottom: 0.25em;
}

.aaaa{
    width: 100%;
    margin-bottom: 1em;
    background-color: #f2f5f7;
    border: 1px solid grey;
    border-radius: 15px;
    padding: 1em;
    padding-right: 2em;
}

.input-label{
    margin-bottom: 0.1em;
}

.modal-fields-last-row{
   margin-bottom: 1.5em;
}

.modal-subwindow{
   width: 90%;
   margin: auto;
   padding: 2em;
   border: 1px solid grey;
   border-radius: 10px;
   box-shadow: 8px 8px rgba(0, 0, 0, 0.08);
   margin-bottom: 4em;
}


.modal-input::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #2e2e2e !important;
  opacity: 1; /* Firefox */
}

.modal-select::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #2e2e2e !important;
  opacity: 1; /* Firefox */
}

.modal-input-edit::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #2e2e2e !important; /* Firefox */
}

p {
   margin-bottom: 0;
   text-align : center;
}

/* make sure the contents of the navlink don't wrap when navbar collapses */
.sidebar .nav-link {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
}

.sidebar .nav-link:hover {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  background-color: #c1c1c1;
}

/* fix the width of the icons */
.sidebar .nav-link i {
  width: 1rem;
}

/* hide the navlink labels by default */
.sidebar .nav-link span {
  visibility: hidden;
  opacity: 1;
  transition: opacity 0.1s ease-in-out;
}

/* when the sidebar is hovered, reveal the labels */
.sidebar:hover .nav-link span {
  visibility: visible;
  opacity: 1;
  color: black;
}

.sidebar-span {
  visibility: hidden;
  opacity: 1;
  transition: opacity 0.1s ease-in-out;
}

/* when the sidebar is hovered, reveal the labels */
.sidebar:hover .sidebar-span {
  visibility: visible;
  opacity: 1;
  color: black;
  transition: opacity 0.1s ease-in-out;
}

/* container for the sidebar header. make sure the contents don't wrap when
 * the sidebar is collapsed.
 */
.sidebar-header {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  white-space: nowrap;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}


/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

/* position the header relative to the logo and hide by default */
.sidebar-header .sidebar-full-icon {
  opacity: 0;
  margin-bottom: 0;
  transition: opacity 0.3s ease-in-out;
  display: none;
}

/* reveal the header when the sidebar is toggled */
.sidebar:hover .sidebar-header .sidebar-full-icon {
  opacity: 1;
  display: block;
}


.sidebar-header .sidebar-mini-icon {
  opacity: 1;
  margin-bottom: 0;
  transition: opacity 0.3s ease-in-out;
  display: block;
}

/* reveal the header when the sidebar is toggled */
.sidebar:hover .sidebar-header .sidebar-mini-icon {
  opacity: 0;
  display: none;
}

/* position the content relative to the collapsed sidebar */
.content {
  margin-left: 7rem;
  margin-right: 2rem;
  padding: 2rem 1rem;
}

/* restyle radio items */
.radio-group .form-check {
  padding-left: 0;
}

.form-check-label {
  height: 2.5em;
}

.radio-group .btn-group > .form-check:not(:last-child) > .btn {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.radio-group .btn-group > .form-check:not(:first-child) > .btn {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  margin-left: -1px;
}

.dash-filter--case {
  display: none;
}

